Diligent Engine API Reference: Diligent::TextureViewD3D12Impl Class Reference

Diligent Engine API Reference

Public Member Functions | Protected Attributes | List of all members
Diligent::TextureViewD3D12Impl Class Reference

Implementation of the Diligent::ITextureViewD3D12 interface. More...

Inheritance diagram for Diligent::TextureViewD3D12Impl:

## Public Member Functions
virtual void | QueryInterface (const Diligent::INTERFACE_ID &IID, IObject **ppInterface) override
| Queries the specific interface, see IObject::QueryInterface() for details.
void | GenerateMips (IDeviceContext *pContext) override
| Generates a mipmap chain. More...
virtual D3D12_CPU_DESCRIPTOR_HANDLE | GetCPUDescriptorHandle () override
| Returns CPU descriptor handle of the texture view.
Public Member Functions inherited from Diligent::TextureViewBase< ITextureViewD3D12 >
| TextureViewBase (IReferenceCounters *pRefCounters, IRenderDevice *pDevice, const TextureViewDesc &ViewDesc, class ITexture *pTexture, bool bIsDefaultView)
virtual void | SetSampler (class ISampler *pSampler) override final
| Implementation of ITextureView::SetSampler()
virtual ISampler * | GetSampler () override final
| Implementation of ITextureView::GetSampler()
virtual ITexture * | GetTexture () override final
| Implementation of ITextureView::GetTexture()
Public Member Functions inherited from Diligent::DeviceObjectBase< ITextureViewD3D12, TextureViewDesc >
| DeviceObjectBase (IReferenceCounters *pRefCounters, IRenderDevice *pDevice, const TextureViewDesc &ObjDesc, bool bIsDeviceInternal=false)
virtual const TextureViewDesc & | GetDesc () const override final
UniqueIdentifier | GetUniqueID () const
| Returns unique identifier. More...
Public Member Functions inherited from Diligent::IDeviceObject
virtual void | QueryInterface (const INTERFACE_ID &IID, IObject **ppInterface)=0
| Queries the specific interface, see IObject::QueryInterface() for details.

## Protected Attributes
DescriptorHeapAllocation | m_Descriptor
| D3D12 view descriptor handle.
Protected Attributes inherited from Diligent::TextureViewBase< ITextureViewD3D12 >
Diligent::RefCntAutoPtr< ISampler > | m_pSampler
| Strong reference to the sampler.
ITexture * | m_pTexture
| Raw pointer to the texture.
Diligent::RefCntAutoPtr< ITexture > | m_spTexture
| Strong reference to the texture. Used for non-default views to keep the texture alive.
Protected Attributes inherited from Diligent::DeviceObjectBase< ITextureViewD3D12, TextureViewDesc >
const String | m_ObjectNameCopy
| Copy of a device object name. More...
TextureViewDesc | m_Desc
| Object description.

## Detailed Description

Implementation of the Diligent::ITextureViewD3D12 interface.

## Member Function Documentation

## ◆ GenerateMips()

void Diligent::TextureViewD3D12Impl::GenerateMips | ( | IDeviceContext * | pContext | ) |
| overridevirtual

Generates a mipmap chain.

Remarks
  This function can only be called for a shader resource view The texture must be created with MISC_TEXTURE_FLAG_GENERATE_MIPS flag

Implements Diligent::ITextureView.